Subject: [core] question about draft-ietf-core-interfaces

From: Darshak Thakore <[email-masked]>
Date: Thu, 29 Jan 2015 18:32:20 +0000

Hi all,
Reading thru the above mentioned draft, I’m trying to understand the correct use and applicability of the interfaces specified in the draft. I have the following questions

  1.  Is it allowed for a resource to support multiple interfaces?
  2.  If the answer to Q1 is “yes”, then how do I go about specifying the interface in my request?
  3.  If the answer to Q1 is “no”, then I’m trying to understand what value the interfaces provide. The information provided by the “rt” seems to be sufficient enough to understand what can and cannot be done with a resource (e.g. If its a simple.sen.XXX then its a sensor so all I can do is a GET).

Thanks in advance
Darshak